%define ghname SoCo
%define srcname soco

Name:           python-soco
Version:        0.30.9
Release:        %mkrel 2
Summary:        Python library to control Sonos speakers

Group:          Development/Python
License:        MIT
URL:            https://python-soco.com
Source0:        https://github.com/%{ghname}/%{ghname}/archive/v%{version}/%{ghname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
SoCo (Sonos Controller) is a Python project that allows you to programmatically
control Sonos speakers.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-future

%description -n python3-%{srcname}
SoCo (Sonos Controller) is a Python project that allows you to programmatically
control Sonos speakers.

%prep
%autosetup -n %{ghname}-%{version}

rm -rf examples/webapp/.gitignore
sed -i -e '/^#!\//, 1d' {examples/plugins/socoplugins.py,examples/commandline/tunein.py}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

#PYTHONPATH=${PWD} sphinx-build-3 doc html
#rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files soco

%check
%tox

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.rst
%doc examples/ README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.30.9-2.mga10
+ Revision: 2241985
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 daviddavid <daviddavid> 0.30.9-1.mga10
+ Revision: 2159271
- new version: 0.30.9
+ wally <wally>
- rebuild for python3.13

* Fri Feb 23 2024 papoteur <papoteur> 0.30.2-1.mga10
+ Revision: 2043574
- new version 0.30.2

* Mon Jun 26 2023 rapsys <rapsys> 0.29.1-1.mga9
+ Revision: 1963066
- Add lxml buildrequires
- Add ifaddr buildrequires
- Add pytest buildrequires
- Import python-soco 0.29.1
- Created package structure for python-soco.

